Info / Dicas

17 set 2013 20h44

Executando aplicativos em versões anteriores do java

O exemplo aqui vai especificamente para o ITR2011 (versões anteriores ) e IRPF2010 (versões anteriores ) que rodam com o java 1.6

Acontece que pra quem é contador, ou até mesmo, nós usuários quando queremos acessar a declaração para consultar dados, imprimir recibos, o programa simplesmente trava.

A orientação do receita.fazenda.gov.br é desinstalar a versão 1.7 do java e instalar a 1.6, realmente vai funcionar, porém você vai ficar com o java desatualizado e várias aplicações, não vai rodar ou vai ficar pedido pra atualizar.

Solução:

Instalar a versão do java 1.6 e posteriormente a versão 1.7, poderá manter as duas. Quando não precisar mais da versão antiga, apenas desinstale a mesma.

- Java 1.6

Crie um arquivo .bat na pasta do programa para cada versão:

Ex: ITR2011, abra no bloco de notas e salve como exec.bat
"C:Program Files (x86)Javajre6injava" -jar pgditr.jar


Ex: IRPF2009
"C:Program Files (x86)Javajre6injava" -jar irpf.jar


Depois basta executar este arquivo que o programa irá abrir a com a versão específica do java.

© MNDTI - Tecnologia e Informação. Todos Direitos Reservados. Política de privacidade.

Rua São Vicente, 109 LJ A - Centro | CEP: 38600-000 - Paracatu, MG | Telefone: (38) 8802-9176